curl --request GET \
--url https://core.cognizo.ai/api/v2/brands/{brand_id}/citations/pages \
--header 'X-API-KEY: <api-key>'import requests
url = "https://core.cognizo.ai/api/v2/brands/{brand_id}/citations/pages"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://core.cognizo.ai/api/v2/brands/{brand_id}/citations/pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"domain": "<string>",
"citation_types": [
"<string>"
],
"page_count": 123,
"total_citation_count": 123,
"total_citation_percent": 123,
"brand_citation_count": 123,
"brand_citation_percent": 123,
"target_brand_mentioned": true,
"mentioned_brands": [
"<string>"
],
"page": "<string>",
"page_type": "<string>",
"domain_type": "<string>"
}
],
"meta": {
"page": 123,
"page_size": 123,
"total_items": 123,
"total_pages": 123,
"counts": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Most-cited pages
Authorizations
Path Parameters
Query Parameters
Page number (default 1).
Items per page (default 25, max 100).
Comma-separated sort keys, - prefix for descending. Keys: total_citation_count, citation_count, total_citation_percent, brand_citation_count, brand_citation_percent, page, domain, page_type. Default: -citation_count, domain, page.
Free-text (ILIKE) match against the page URL or its domain.
Restrict to citations on these exact citation domains.
Match any of these page_type values (article, documentation, homepage, ...).
homepage, article, discussion, social, product_page, review, comparison, alternative, listicle, how_to_guide, category_page, documentation, pricing, about, case_study, features, resource, contact, careers, other Static domain types (editorial, review, saas, ...) and/or dynamic ownership types (owned, earned, competitor_owned, competitor_earned).
editorial, review, institutional, social, commerce, documentation, reference, saas, legal, health, finance, research, app_store, directory, corporate, search_engine, other, owned, earned, competitor_owned, competitor_earned Restrict to citations from this YouTube channel (matched by video author).
Restrict to citations from this subreddit.
Restrict to citations from a single prompt (AND-combines with filter[topic_ids]).
Restrict to specific (prompt, region) pairs — each item "promptId,regionId". Replaces the legacy per-prompt/region cited-pages export.
Start of the ran_at window (ISO8601 date or datetime). Defaults to 30 days ago.
End of the ran_at window (ISO8601 date or datetime). Defaults to end of today.
Brand name whose citations count toward brand_citation_count / target_brand_mentioned. Defaults to the workspace brand's name (downcased).
Restrict to citations from prompts belonging to these topics (topic ids are resolved to prompt ids).
Restrict to citations attributed to these brand-mapping ids (found_brand_id). When omitted, all citations for the brand are returned and target counts are computed from filter[target_brand].
Restrict to citations from prompt runs on these providers.
Restrict to citations from prompt runs in these regions.

